### Virtual Method

# Gtk.TreeModel.iter_n_children

#### Declaration [src]

    int
    iter_n_children (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Returns the number of children that `iter` has.

As a special case, if `iter` is `NULL`, then the number of toplevel nodes is returned.

#### Parameters

`iter` | `GtkTreeIter`
| the `GtkTreeIter`-struct, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `int`
the number of children of `iter`